@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Nunito:ital,wght@0,200..1000;1,200..1000&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Orbitron:wght@400..900&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Rajdhani:wght@300;400;500;600;700&display=swap');

body{
    margin: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    background: linear-gradient(135deg, #141E30, #1B2631); /* Deep Blue Gradient */
    position: relative;
    padding: 0;
    width: 100%;
    height: 100dvh;
}
.back{
    width: 100%;
    height: 100dvh;
    position: fixed;
    left: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    top: 0;
    
    animation-name: fadeout;
    animation-duration: 3s;
}

@keyframes fadeout{
    0%,50%{
        z-index: 10;
        background: #1B2631;
    }
    100%{
        background: transparent;
        z-index: 0;
    }
}
.backimg{
    width: 7rem;
    height: 7rem;
    color: rgb(0, 119, 204);
    opacity: 0;
    animation-name: fadeoutImg;
    animation-duration: 2s;
}

@keyframes fadeoutImg{
    0%,50%{
       opacity: 1;
       transform: rotate(180deg);
    }
    100%{
        opacity: 0;
        transform: rotate(0deg);
    }
}
.back-head{
    background: linear-gradient(135deg, #00A8FF, #0077CC);
    font-family: "Rajdhani", serif;
    background-clip: text;
    color: #d3d3d3;
    font-weight: 400;
    opacity: 0;
    animation-name: fadeouttxt;
    animation-duration: 2s;
}
@keyframes fadeouttxt{
    0%,50%{
       opacity: 1;
      
    }
    100%{
        opacity: 0;
        
    }
}

.container{
    width: 21.8rem;
    z-index: 1;
    height: 90dvh;
    position: relative;
   
    /* box-shadow: 0 4px 10px rgba(0, 0, 0, 0.3); */
    border-radius: 1rem;
    display: flex;
    flex-direction:column ;
    justify-content: space-evenly;
    align-items: center;
}
.inputcontainer{
    height: 3rem;
    position: relative;
    width: 95%;
    border-radius: 2rem;
    box-shadow: 0px 4px 10px rgba(0, 168, 255, 0.5); /* Soft Neon Glow */;
    overflow: hidden;
    display: flex;
    
}
.input{
    width: 100%;
    position: relative;
    height: 100%;
    border-radius: 0.3rem;
    background: linear-gradient(135deg, #00A8FF, #0077CC);
    font-family: "Rajdhani", serif;
    padding-left: 0.4rem;
    box-shadow: rgba(0, 0, 0, 0.07) 0px 1px 1px, rgba(0, 0, 0, 0.07) 0px 2px 2px, rgba(0, 0, 0, 0.07) 0px 4px 4px, rgba(0, 0, 0, 0.07) 0px 8px 8px, rgba(0, 0, 0, 0.07) 0px 16px 16px;
   outline: none;
   border: none;
    color: #fff;
    transition: .4s ease;
}
.output , .defaultOut{
    height: 72dvh;
    display: flex;
    position: relative;
    flex-direction: column;
    padding-top: 1rem;
    justify-content: space-evenly;
    align-items: center;
    width: 95%;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.3);
    background: linear-gradient(135deg, #2C3E50, #4A4A4A);
    backdrop-filter: blur(10px);
    border-radius: 1rem;
}
.head ,.date{
    font-family: "Rajdhani", serif;
    font-weight: 500;
    background: linear-gradient(45deg, #00A8FF, #0077CC);
    background-clip: text;
    color: transparent;
    height: fit-content;
    margin: 0 !important;
    display: flex;
}
.date{
    font-size: 0.8rem;
    color: #d3d3d3;
    font-weight: 400;
    opacity: 0.7;
}
.imgcont{
    width: 10rem;
    height: 10rem;

}
.image{
    width: 100%;
    height: 100%;
    object-fit: contain;
}
.desc{
    background: linear-gradient(45deg, #00A8FF, #0077CC);
    background-clip: text;
    color: transparent;
    width: 100%;
    justify-content: center;
    align-items: center;
    height: fit-content;
    display: flex !important;
    margin: 0;
    font-weight: 500;
    font-size: 1.3rem;
    font-family: "Rajdhani", serif;
    /* text-transform: capitalize; */
}
.name{
    color: #d3d3d3;
    font-family: "Rajdhani", serif;
    text-transform: capitalize;
    font-size: 0.9rem;
    margin: 0 !important;
}
.temp{
    background: linear-gradient(45deg, #00A8FF, #0077CC);
    background-clip: text;
    color: transparent;
    height: fit-content;
    width: 100%;
    justify-content: center;
    align-items: center;
    display: flex !important;
    margin: 0;
    font-weight: 500;
    font-family: "Rajdhani", serif;
    font-size: 3rem;
}
.dataTable{
    display: grid;
    position: relative;

   
    grid-template-columns: auto auto auto;
    width: 95%;
    border-radius: 1rem;
    box-shadow: 0px 4px 10px rgba(0, 168, 255, 0.3); 
    background: linear-gradient(135deg, #1E2A38, #283747);

    height: fit-content;
}
.humidity , .windspeed , .highlow{
    height: fit-content;
    display: flex;
    background: linear-gradient(to right, #00A8FF, #0077CC);
    background-clip: text;
    color: transparent;
    width: 100%;
    font-family: "Rajdhani", serif;
    padding-top: 1rem;
    padding-bottom: 1rem;
    flex-direction: column;
    font-size: 0.9rem;
    font-weight: 600;
    justify-content: start;
    align-items: center;
}
/* .humidity{
border-right: 2px dotted #d3d3d3;
border-bottom: 2px dotted #d3d3d3;
}
.windspeed{
border-bottom: 2px dotted #d3d3d3;
}
.highlow{
border-right: 2px dotted #d3d3d3;

} */
.dataImg{
    height: 2rem;
    width: 2rem;
}
.dataTableText{
    color: #d3d3d3;
    font-size: 0.8rem;
    font-family: "Rajdhani", serif;
    font-weight: 400;
}
.btn{
    width: fit-content;
    border: none;
    padding-left: 1rem;
    position: absolute;
    right: 0;
    top: 0;
    padding-right: 1rem;
    border-radius: 2rem;
    height: 100%;
    background: #00A8FF;
    box-shadow: rgba(0, 0, 0, 0.07) 0px 1px 1px, rgba(0, 0, 0, 0.07) 0px 2px 2px, rgba(0, 0, 0, 0.07) 0px 4px 4px, rgba(0, 0, 0, 0.07) 0px 8px 8px, rgba(0, 0, 0, 0.07) 0px 16px 16px;
    font-family: "Nunito", serif;
    color: #fff;
}